Bug 454249 - crash after module-rescue-streams failure
crash after module-rescue-streams failure
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-07 04:14 EDT by Joe Orton
Modified: 2008-09-09 18:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-09 18:56:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2008-07-07 04:14:46 EDT
Description of problem:
Jul  7 09:06:21 turnip pulseaudio[3907]: module-rescue-streams.c: Failed to move
sink input 9 "Simultaneous output on ALSA PCM on surround71:0 (USB Audio) via
DMA" to alsa_output.pci_8086_27d8_sound_card_0_alsa_playback_0.
Jul  7 09:06:21 turnip pulseaudio[3907]: module-rescue-streams.c: Failed to move
sink input 10 "Simultaneous output on ALSA PCM on front:1 (STAC92xx Analog) via
DMA" to combined.
Jul  7 09:06:21 turnip kernel: pulseaudio[3907]: segfault at 7f171c7a7210 ip
7f171c7a7210 sp 7fff2ac0b508 error 14 in libauthkey.so[7f171cff1000+2000]

Version-Release number of selected component (if applicable):


How reproducible:
I get crashes about once a week.

Jul  1 08:32:58 turnip kernel: pulseaudio[3856]: segfault at 7f86ed2b9330 ip
7f86ed2b9330 sp 7ffffa4c6d48 error 14 in pulse-shm-1801721261[7f86ed6e1000+201000]
Jul  7 09:06:21 turnip kernel: pulseaudio[3907]: segfault at 7f171c7a7210 ip
7f171c7a7210 sp 7fff2ac0b508 error 14 in libauthkey.so[7f171cff1000+2000]
Jun 18 20:22:35 turnip kernel: pulseaudio[3837]: segfault at 2aaab1440dd0 rip
2aaab1440dd0 rsp 7fffafc49128 error 14
Jun 25 08:22:42 turnip kernel: pulseaudio[3856]: segfault at 20d6210 ip 20d6210
sp 7fffc72e2b58 error 14

Steps to Reproduce:
1. unknown

How do I run pulse such that it dumps core properly?
Comment 1 Joe Orton 2008-07-07 04:15:31 EDT
Sorry, I forgot to include the V-R:

pulseaudio-0.9.10-1.fc9.x86_64
Comment 2 Joe Orton 2008-07-07 04:17:26 EDT
The only thing I'd done which was unusual prior to this crash was that the
system clock had been moved hour backwards.
Comment 3 Lennart Poettering 2008-07-15 16:40:48 EDT
Could you please provide a backtrace with gdb?
Comment 4 Joe Orton 2008-07-16 05:03:59 EDT
Per comment 1, how do I run pulse such that it dumps core properly?
Comment 5 Lennart Poettering 2008-08-06 10:13:00 EDT
Run it inside of a gdb please
Comment 6 Lennart Poettering 2008-09-09 18:56:33 EDT
Hmm, no response in a month. Also I fixed a bug related to this a while back. I am closing this report now. If the problem persists even with 0.9.12, feel free to reopen.

Note You need to log in before you can comment on or make changes to this bug.